#ifndef CSSGRAMMAR_H
#define CSSGRAMMAR_H
/* A Bison parser, made by GNU Bison 3.0.5.  */

/* Bison interface for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

#ifndef YY_CSSYY_DERIVEDSOURCES_WEBCORE_CSSGRAMMAR_HPP_INCLUDED
# define YY_CSSYY_DERIVEDSOURCES_WEBCORE_CSSGRAMMAR_HPP_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cssyydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOKEN_EOF = 0,
    LOWEST_PREC = 258,
    UNIMPORTANT_TOK = 259,
    WHITESPACE = 260,
    SGML_CD = 261,
    INCLUDES = 262,
    DASHMATCH = 263,
    BEGINSWITH = 264,
    ENDSWITH = 265,
    CONTAINS = 266,
    STRING = 267,
    IDENT = 268,
    NTH = 269,
    HEX = 270,
    IDSEL = 271,
    IMPORT_SYM = 272,
    PAGE_SYM = 273,
    MEDIA_SYM = 274,
    FONT_FACE_SYM = 275,
    CHARSET_SYM = 276,
    NAMESPACE_SYM = 277,
    WEBKIT_RULE_SYM = 278,
    WEBKIT_DECLS_SYM = 279,
    WEBKIT_KEYFRAME_RULE_SYM = 280,
    WEBKIT_KEYFRAMES_SYM = 281,
    WEBKIT_VALUE_SYM = 282,
    WEBKIT_MEDIAQUERY_SYM = 283,
    WEBKIT_SELECTOR_SYM = 284,
    WEBKIT_REGION_RULE_SYM = 285,
    WEBKIT_VIEWPORT_RULE_SYM = 286,
    TOPLEFTCORNER_SYM = 287,
    TOPLEFT_SYM = 288,
    TOPCENTER_SYM = 289,
    TOPRIGHT_SYM = 290,
    TOPRIGHTCORNER_SYM = 291,
    BOTTOMLEFTCORNER_SYM = 292,
    BOTTOMLEFT_SYM = 293,
    BOTTOMCENTER_SYM = 294,
    BOTTOMRIGHT_SYM = 295,
    BOTTOMRIGHTCORNER_SYM = 296,
    LEFTTOP_SYM = 297,
    LEFTMIDDLE_SYM = 298,
    LEFTBOTTOM_SYM = 299,
    RIGHTTOP_SYM = 300,
    RIGHTMIDDLE_SYM = 301,
    RIGHTBOTTOM_SYM = 302,
    ATKEYWORD = 303,
    IMPORTANT_SYM = 304,
    MEDIA_ONLY = 305,
    MEDIA_NOT = 306,
    MEDIA_AND = 307,
    REMS = 308,
    CHS = 309,
    QEMS = 310,
    EMS = 311,
    EXS = 312,
    PXS = 313,
    CMS = 314,
    MMS = 315,
    INS = 316,
    PTS = 317,
    PCS = 318,
    DEGS = 319,
    RADS = 320,
    GRADS = 321,
    TURNS = 322,
    MSECS = 323,
    SECS = 324,
    HERTZ = 325,
    KHERTZ = 326,
    DIMEN = 327,
    INVALIDDIMEN = 328,
    PERCENTAGE = 329,
    FLOATTOKEN = 330,
    INTEGER = 331,
    VW = 332,
    VH = 333,
    VMIN = 334,
    VMAX = 335,
    DPPX = 336,
    DPI = 337,
    DPCM = 338,
    FR = 339,
    URI = 340,
    FUNCTION = 341,
    ANYFUNCTION = 342,
    NOTFUNCTION = 343,
    CALCFUNCTION = 344,
    MINFUNCTION = 345,
    MAXFUNCTION = 346,
    UNICODERANGE = 347,
    CUEFUNCTION = 348
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 65 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */

    double number;
    CSSParserString string;
    CSSSelector::MarginBoxType marginBox;
    CSSParserValue value;
#line 174 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 CSSSelector::Relation relation; 
#line 176 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 StyleRuleBase* rule; 
#line 179 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 Vector<RefPtr<StyleRuleBase>>* ruleList; 
#line 184 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 MediaQuerySet* mediaList; 
#line 187 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 MediaQuery* mediaQuery; 
#line 190 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 MediaQuery::Restrictor mediaQueryRestrictor; 
#line 192 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 MediaQueryExp* mediaQueryExp; 
#line 195 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 Vector<OwnPtr<MediaQueryExp>>* mediaQueryExpList; 
#line 199 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 StyleKeyframe* keyframe; 
#line 202 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 Vector<RefPtr<StyleKeyframe>>* keyframeRuleList; 
#line 208 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 CSSPropertyID id; 
#line 210 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 CSSParserSelector* selector; 
#line 213 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 Vector<OwnPtr<CSSParserSelector>>* selectorList; 
#line 216 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 bool boolean; 
#line 218 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 CSSSelector::Match match; 
#line 220 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 int integer; 
#line 222 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 char character; 
#line 224 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 CSSParserValueList* valueList; 
#line 229 "DerivedSources/WebCore/CSSGrammar.y" /* yacc.c:1910  */
 CSSParser::Location location; 

#line 194 "DerivedSources/WebCore/CSSGrammar.hpp" /* yacc.c:1910  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif



int cssyyparse (CSSParser* parser);

#endif /* !YY_CSSYY_DERIVEDSOURCES_WEBCORE_CSSGRAMMAR_HPP_INCLUDED  */
#endif
